#ifndef SIGNALGENERATORFORM_H
#define SIGNALGENERATORFORM_H

#include <QWidget>
#include "device/SignalGenerator.h"

namespace Ui {
class SignalGeneratorForm;
}

class SignalGeneratorForm : public QWidget
{
    Q_OBJECT

public:
    explicit SignalGeneratorForm(QWidget *parent = nullptr);
    ~SignalGeneratorForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_sigGenButt_clicked();

private:
    Ui::SignalGeneratorForm *ui;
};

#endif // SIGNALGENERATORFORM_H
